Package org.xnio.http

# Interface ExtendedHandshakeChecker

public interface ExtendedHandshakeChecker
A class that can decide if a HTTP upgrade handshake is valid. If not it should throw an `IOException`

## Method Summary

Modifier and Type
Method
Description
`void`
`checkHandshakeExtended(Map<String,List<String>> headers)`
Checks a handshake, and throws an exception if it is invalid

## Method Details

### checkHandshakeExtended

void checkHandshakeExtended(Map<String,List<String>> headers) throws IOException
Checks a handshake, and throws an exception if it is invalid

Parameters:
  `headers` - The response headers, keyed by lowercase name
Throws:
  `IOException` - If the handshake is not valid